namespace Decal.Filters;

public class Material : IIdNameTableEntry
{
	private int mID;

	private string mName;

	private int mUnk;

	public int Id => mID;

	public string Name
	{
		get
		{
			return mName;
		}
		internal set
		{
			mName = value;
		}
	}

	public int Unknown
	{
		get
		{
			return mUnk;
		}
		internal set
		{
			mUnk = value;
		}
	}

	internal Material(int ID)
	{
		mID = ID;
	}

	public override string ToString()
	{
		return mName;
	}
}
